<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbLanguageTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_language', function(Blueprint $table)
		{
			$table->integer('id')->primary();
			$table->string('name', 45)->nullable()->unique('name_UNIQUE');
			$table->string('iso', 5)->nullable()->unique('iso_UNIQUE');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_language');
	}

}
